﻿var nsCookieLibrary = {};
nsCookieLibrary.sDomainRoot = "";
nsCookieLibrary.sPathRoot = "/";
//变量为空字符串的时候，表示作为无效值。不使用相关的功能内容。

nsCookieLibrary.makeCookieDomainPath = function(sDomain, sPath) {
    if (sPath != null) nsCookieLibrary.sPathRoot = sPath;
    if (sDomain != null) nsCookieLibrary.sDomainRoot = sDomain;
    if (!nsCookieLibrary.sDomainRoot.match(/\.[^\. ]+\.[^. ]+/)) nsCookieLibrary.sDomainRoot = "";
    //如果sDomainRoot不符合类似“.smart.com”这样的最低要求，则取消。
    sDomainPathInfo = "";
    sDomainPathInfo += (nsCookieLibrary.sDomainRoot) ? (" ;domain=" + nsCookieLibrary.sDomainRoot) : "";
    sDomainPathInfo += (nsCookieLibrary.sPathRoot) ? (" path=" + nsCookieLibrary.sPathRoot) : "";
    return (sDomainPathInfo);
}

nsCookieLibrary.getCookie = function(sName) {
    //var reg1 = new RegExp("(?: |\\b)" + encodeURI(sName) + "(?:=)?([^ =;]*)", "i");
    var reg1 = new RegExp("(?: |\\b)?" + encodeURI(sName) + "=([^ =;]*)", "i");
    var ma1 = document.cookie.match(reg1);
    if (!ma1)
        return (null);
    return decodeURI(ma1[1]);
}

nsCookieLibrary.clearCookie = function() {
    var ma1 = nsCookieLibrary.getCookieNames();
    if (!ma1) return (true);
    var i;
    for (i = 0; i < ma1.length; i++)
        nsCookieLibrary.delCookie(ma1[i]);
    return (true);
}

nsCookieLibrary.getCookieNames = function() {
    var reg1 = new RegExp("(([^ =;]+)(=|;)([^ =;]*))", "ig");
    var ma1 = (document.cookie + ";").match(reg1);
    if (!ma1) return (ma1);
    var i, arr1 = new Array();
    for (i = 0; i < ma1.length; i++)
        arr1[i] = decodeURI(ma1[i].match(/([^ =;]*)(=|;)/)[1]);
    return (arr1);
}

nsCookieLibrary.getCookieCount = function() {
    var ma1 = nsCookieLibrary.getCookieNames();
    if (!ma1) return (0);
    return (ma1.length);
}

nsCookieLibrary.delCookie = function(sName) {
    nsCookieLibrary.setCookie(sName, "fangzy", -19781214);
}

nsCookieLibrary.setCookie = function(sName, sValue, lTime) {
    if (!sName) return (false);
    var sExp = "";
    if (lTime) {
        var dat1 = new Date();
        dat1.setTime(dat1.getTime() + (lTime - 1));
        sExp = " ;expires=" + dat1.toGMTString();
    }
    document.cookie = encodeURI(sName) + "=" + encodeURI(sValue) + sExp + sDomainPathInfo;
}

nsCookieLibrary.getCookieAll = function() {
    var ma1 = nsCookieLibrary.getCookieNames();
    var arr1 = new Array();
    if (!ma1) return (arr1);
    var i;
    for (i = 0; i < ma1.length; i++)
        arr1[i] = nsCookieLibrary.getCookie(ma1[i]);
    return (arr1);
}

nsCookieLibrary.makeCookieDomainPath();